@import "node_modules/css-reset/reset.css";

:root {
  --dark-blue-900: #151A26;
  --dark-blue-800: #1B202E;
  --dark-blue-700: #1D2332;
  --dark-blue-500: #292D40;
  --dark-blue-400: #303447;
  --dark-blue-300: #2C3142;
  --dark-blue-200: #44495C;

  --blue-750: #116DDC;
  --blue-700: #0A6ADE;
  --blue-600: #1D83FE;
  --blue-550: #2D8CFF;
  --blue-500: #0E78F8;
  --blue-400: #2084FD;
  --blue-300: #4E9CFB;
  --blue-200: #6FB0FF;
  --blue-100: #77B5FF;
  --blue-50: rgba(14, 106, 217, 0.27);
  --blue-bg: rgba(14, 120, 248, 0.19);
  --blue-bg-active: rgba(14, 120, 248, 0.27);

  --grey-900: #151A26;
  --grey-800: #2B2F3F;
  --grey-750: #222839;
  --grey-700: #242838;
  --grey-650: #2D3245;
  --grey-600: #34394B;
  --grey-550: #3C4156;
  --grey-500: #666B79;
  --grey-450: #444A60;
  --grey-400: #3C4157;
  --grey-300: #8A8F9B;
  --grey-200: #868A96;

  --green-500: #10E974;

  --red-700: #D3134C;
  --red-600: #BD3434;
  --red-500: #E71C59;
  --red-400: #F82A68;
  --red-350: #E41C58;
  --red-300: #F26464;
  --red-200: rgba(231, 28, 89, 0.31);

  --orange-500: #E98510;
  --orange-400: #F89829;
  --orange-300: #FFA43A;
  --orange-200: rgba(233, 133, 16, 0.31);
  --orange-100: #FFC888;

  --white: #ffffff;

  --rounded: 12px;
  --rounded-md: 8px;
  --rounded-sm: 4px;

  --input-height: 40px;

  --aside-width: 333px;
  --aside-chat-width: 268px;
  --drawer-width: 500px;
  --drawer-min-size: 70px;
  --nav-width: 88px;

  --grey-100: #F8F8F8;

  --white-900: #EDEDED;
  --white-600: #F7F7F7;
  --white-500: #F6F6F6;
  --white-300: #FAFAFA;
  --white-200: #F1F1F1;

  --blue-250: #D8F0FF;
  --badge-primary: #EEEEEE;

  --red-100: #FFDBDB;

  --yellow-400: #FFEBA3;
  --yellow-300: #E09A13;
  --yellow-200: #FFEDDC;
  --yellow-100: #FCF3C5;

  --green-800: #52C41A;
  --green-600: #47AB16;
  --green-300: rgba(59, 233, 16, 0.31);
  --green-200: #DDFCC5;
  --green-100: #DDFFDE;

  --black: #000000;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active{
  -webkit-box-shadow: 0 0 0 30px #001E3C inset !important;
}
